function E0090()
    InitRoom()FAI(0)
end
function E0091()
    InitRoom()FAI(1)
end
function E0092()
    InitRoom()FAI(2)
end
function E0093()
    InitRoom()FAI(3)
end
function E0094()
    InitRoom()FAI(4)
end

function InitRoom()
    MNA()
    if(FLJ("KingBack")) then
        CMU("CS_Quiet")
    else
        CMU("CS_Mura")
    end
end

--去外面
function Door_GoVillage()
    PRI()MM0()SOU("CS_011_door")ANP("Door_GoVillage",0,1)FAO(2)TRA("CS_village","E0090",42,8)
end


--询问马宾去向
function AskEveryoneWhereMahinWent()
    KEY()HMC()
    FAI(2)
    FAC("sue_normal")MS3("Today I saw a huge cat")
    CAT("\noutside the village...")NOD()
    WAI(32)
    --桑塔开门进来
    SOU("CS_011_door")ANP("Door_GoVillage",0,1)
    SLR(1)
    SMC()
    WAI(32)CLO()
    SOU("CS_011_door")ANP("Door_GoVillage",0,0)
    --多隆子看左边
    ANP("Toroko1",0,0)
    WAI(32)
    FAC("toroko_><")
    MS4("\nIt's Kanpachi!")NOD()CLR()
    FAC("sue_normal")
    CAT("Are you looking for that fat Mimiga?")NOD()
    CAT("\nI haven't seen him today,")
    CAT("\ncome to think of it.")NOD()
    FAC("sue_sad")CAT("\nBut yesterday when we were") 
    CAT("\neating together")
    CAT("\nhe seemed a bit down.")NOD()CLR()
    FAC("sue_angry")CAT("He's probably tired of eating fish")NOD()
    CAT("\nand went out to find some fruit...")NOD()CLR()
    FAC("toroko_normal")MS3("\nToroko thinks so too!")NOD()CLR()
    FAC("sue_normal")CAT("Anyway, don't worry about him,")NOD()
    CAT("\nhe'll be back in a few days.")NOD()CLR()
    FAC("toroko_><")
    MS3("Yeah!")NOD()
    CAT("\nJust wait a little longer, Kanpachi~")NOD()CLO()
    --离开屋子
    FLS("GoTorokoHome")
    FLP("AskedToroko")
    FAO(0)
    SMC()
    if(FLJ("AskedJack")) then
        FLP("Night")
        MSR("AskEveryoneAboutMahin","GoHomeSleep")
        TRA("CS_village_night","E0090",42,8)
    else
        TRA("CS_village","E0090",42,8)
    end
end

--经验胶囊（数）
function SueGiveExp()
    FLS("SueGiveExp")
end
--经验胶囊（多隆子）
function TorokoGiveExp()
    FLS("TorokoGiveExp")
end

function KingBack()
    KEY()
    --增加金
    SGP("CS_mychar_king",15,16,1,"CS_mychar_king_p1")
    SPL(0,"CS_mychar_king_p1")--让玩家1控制金
    FLP("KingBack")
    ITS()--清空所有物品
    ITP("Sword")--带上枪
    HMC(0)
    SLR(1,0)
    FAI(2)
    FAC("king_normal")MS3("\nChildren, I'm back.")NOD()CLO()
    WAI(16)
    SOU("CS_011_door")ANP("Door_GoVillage",0,1)
    WAI(16)
    SMC(0)
    WAI(16)
    SOU("CS_011_door")ANP("Door_GoVillage",0,0)
    WAI(32)
    AMC("walk")
    WAI(5*16)
    AMC("normal")
    WAI(32)
    AMC("normal",0)
    WAI(32)
    AMC("normal",1)
    WAI(32)
    FAC("king_normal")MS3("\nDid they go out to play...")NOD()CLO()
    WAI(32)
    FAO(0)
    TRA("CS_village","KingBack",32,14)
end